Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Class RuleType

    java.lang.Object
      com.bea.commerce.ebusiness.discount.mgmt.RuleType

Deprecated See BEA Commerce product offering

    @Deprecated
    public final class RuleType

extends Object

This class represents the two types of discount rules

See Also
  `QualificationDiscountDef`

Field Summary
`static int` | `I_ITEM` Deprecated See BEA Commerce product offering
`static int` | `I_ORDER` Deprecated See BEA Commerce product offering
`static RuleType` | `ITEM` Deprecated See BEA Commerce product offering
`static RuleType` | `ORDER` Deprecated See BEA Commerce product offering
`static String` | `S_ITEM` Deprecated See BEA Commerce product offering
`static String` | `S_ORDER` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `equals(Object object)` Deprecated See BEA Commerce product offering
`int` | `getInt()` Deprecated See BEA Commerce product offering
`static RuleType` | `getObject(String token)` Deprecated See BEA Commerce product offering
`String` | `getString()` Deprecated See BEA Commerce product offering
`int` | `hashCode()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I_ITEM

    public static final int I_ITEM

  Deprecated See BEA Commerce product offering
  The integer value for the item instance

  See Also
    Constants Summary

### I_ORDER

    public static final int I_ORDER

  Deprecated See BEA Commerce product offering
  The integer value for the item instance

  See Also
    Constants Summary

### ITEM

    public static final RuleType ITEM

  Deprecated See BEA Commerce product offering
  the item instance

### ORDER

    public static final RuleType ORDER

  Deprecated See BEA Commerce product offering
  the order instance

### S_ITEM

    public static final String S_ITEM

  Deprecated See BEA Commerce product offering
  The string value for the item instance

  See Also
    Constants Summary

### S_ORDER

    public static final String S_ORDER

  Deprecated See BEA Commerce product offering
  The string value for the order instance

  See Also
    Constants Summary

Method Detail

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Returns a string value and the class name for the instance. This method is intended for debugging and may change. Use the getString() method to obtain the string value of the object.

  Overrides:
    `toString` in class `Object`

### getString

    public String getString()

  Deprecated See BEA Commerce product offering

  Returns the string value for this instance.

### getInt

    public int getInt()

  Deprecated See BEA Commerce product offering

  Returns the string value for this instance.

### getObject

    public static RuleType getObject(String token)

  Deprecated See BEA Commerce product offering

  Parameters
    `token` - a string to match to a RuleType object
  Returns
    the RuleType object that corrsponds to the specified string token.

### equals

    public boolean equals(Object object)

  Deprecated See BEA Commerce product offering

  Compares the specified object to this object. If the specified object is identical to this object this method will return true. False will be returned otherwise.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated See BEA Commerce product offering

  Returns a hashcode value for the object.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved